<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tokens', function (Blueprint $table) {
            $table->id('id')->primary();
            $table->integer('total_tokens')->nullable(true);;
            $table->integer('used_tokens')->nullable(true);
            $table->timestamps();
            $table->foreignId('contract_id')
                ->constrained( table: 'CONTRACT', column: 'RID')
                ->cascadeOnUpdate()
                ->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tokens');
    }
};
